petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMDASetAOType

Sets the type of application ordering for a distributed array.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetAOType(DM da,AOType aotype)

Collective on DMDA

### Input Parameter

da -the distributed array
aotype -type of AO

### Output Parameters

### Notes

It will generate and error if an AO has already been obtained with a call to DMDAGetAO and the user sets a different AOType

### Keywords

distributed array, get, global, indices, local-to-global

### See Also

DMDACreate2d(), DMDAGetAO(), DMDAGetGhostCorners(), DMDAGetCorners(), DMDALocalToGlocal()
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMLocalToLocalBegin(), DMLocalToLocalEnd(), DMDAGetGlobalIndices(), DMDAGetOwnershipRanges(), AO, AOPetscToApplication(), AOApplicationToPetsc()

Level:intermediate
Location:src/dm/impls/da/daindex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages